<div class=`task-manager`>
  <div class=`task-filter` class=`{{#isOpen}}task-filter--opened{{/isOpen}}`>
    <div class=`task-filter__item` class=`{{#isAllTasks}}task-filter__item--selected{{/isAllTasks}}`>
      <h2>
        All Tasks
      </h2>
      <div class=`task-filter-button` class=`icon` class=`icon--caret-down` class=`{{#isOpen}}task-filter-button--opened{{/isOpen}}` @click=`{ {{#isOpen}}"CloseFilter"{{/isOpen}}{{^isOpen}}"OpenFilter"{{/isOpen}}: null }`>
      </div>
    </div>
    <div class=`task-filter__item` class=`{{#isMyTasks}}task-filter__item--selected{{/isMyTasks}}`>
      <h2>
        My Tasks
      </h2>
      <div class=`task-filter-button` class=`icon` class=`icon--caret-down` class=`{{#isOpen}}task-filter-button--opened{{/isOpen}}` @click=`{ {{#isOpen}}"CloseFilter"{{/isOpen}}{{^isOpen}}"OpenFilter"{{/isOpen}}: null }`>
      </div>
    </div>
    <div class=`task-filter__item` class=`{{#isMyContrib}}task-filter__item--selected{{/isMyContrib}}`>
      <h2>
        My Contributions
      </h2>
      <div class=`task-filter-button` class=`icon` class=`icon--caret-down` class=`{{#isOpen}}task-filter-button--opened{{/isOpen}}` @click=`{ {{#isOpen}}"CloseFilter"{{/isOpen}}{{^isOpen}}"OpenFilter"{{/isOpen}}: null }`>
      </div>
    </div>
    <div class=`task-filter-list` class=`{{#isOpen}}task-filter-list--opened{{/isOpen}}`>
      <ul>
        <li class=`{{#isAllTasks}}item-selected{{/isAllTasks}}` @click=`{ "SelectFilter": "All" }`>
          All Tasks
        </li>
        <li class=`{{#isMyTasks}}item-selected{{/isMyTasks}}` @click=`{ "SelectFilter": "Mine" }`>
          My Tasks
        </li>
        <li class=`{{#isMyContrib}}item-selected{{/isMyContrib}}` @click=`{ "SelectFilter": "Contrib" }`>
          My Contributions
        </li>
      </ul>
    </div>
  </div>
  <p class=`error` class=`{{^state.error}}error--hidden{{/state.error}}`>
    {{state.error}}
  </p>
  <div class=`loader` class=`{{^loading}}loader--hidden{{/loading}}`>
    Loading...
  </div>
  <nav class=`task-manager-menu`>
    <button class=`button` class=`button--sea-green` @click=`{ "RedirectToCreateTask": null }`>
      <div class=`icon` class=`icon--plus`>
      </div>
    </button>
  </nav>
  {{#pre_render}}
  <ul class=`task-manager-list`>
    {{#state.tasks}}
    <li class=`task` class=`task--{{status}}`>
      <div class=`task__icon`>
        <div class=`icon` class=`icon--{{status}}`>
        </div>
      </div>
      <div class=`task__content`>
        <h6 class=`task-title`>
          <span class=`task-title__content`>
            {{ title }}
          </span>
          <span class=`task-title__subtitle`>
            {{ author_id }}
          </span>
        </h6>
        <p class=`task__body`>
          {{{ body }}}
        </p>
      </div>
      <div class=`task__buttons`>
        <button class=`button` class=`button--sea-green`>
          <div class=`icon` class=`icon--eye` class=`button__content` @click=`{ "RedirectToUpdateTask": {{id}} }`>
          </div>
        </button>
        <div class=`contributor` class=`{{#contributor_id}}contributor--active{{/contributor_id}}`>
        </div>
      </div>
    </li>
    {{/state.tasks}}
  </ul>
  {{/pre_render}}
</div>
